<?
require'../config.php';
$align='left';
$title='Битва брэндов';
head();

include_once 'func.php';


$bitva = num($_GET['bitva']);
echo '<center>';

$golos = num($_GET['mod']);
$bitva = num($_GET['bitva']);

$brand = mysql_fetch_assoc(mysql_query("SELECT * FROM `brand` WHERE `id` = '".$bitva."'"));

if (empty($brand['id'])) $err = 'Данной битвы не существует';
if ($brand['time'] < time()) $err = 'Битва не активна';
mysql_query("SELECT * FROM `brand_vote` WHERE `user` = '".$id_session."' AND `brand` = '".$bitva."'");
if(mysql_affected_rows()!=0) $err = 'Вы уже голосовали';

if (isset($err))
echo '<b>Ошибка:</b> ' . $err . '<br/>';
else {
if (mysql_query("INSERT INTO `brand_vote` SET `brand` = '".$bitva."', `golos` = '".$golos."', `user` = '".$id_session."', `date` = '".time()."' ")) {
echo 'Вы успешно проголосовали';
} else {
echo 'Возникла ошибка';
}
}



echo '</center>';
/////////////////////////////////////////////////////
echo gb.'<a href="'.H.'brend">Назад</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>
